varying vec3 N;
varying vec3 v;
varying vec2 tex;
attribute vec4 vertexRGBA;
attribute vec3 vertexPos;
attribute vec3 vertexNormal;
attribute vec2 vertexUV;
attribute vec2 boneWeight;
attribute float boneID;
attribute float useBones;

uniform mat4 boneMatrix[10];

void main(void)
{
  N = normalize(gl_NormalMatrix * vertexNormal);
  if (useBones > 0.5) {
    vec4 newVertex;
    newVertex =  ((boneMatrix[0] * vec4(vertexPos.xyz, 1.0)) * boneWeight.x);
    newVertex += ((boneMatrix[int(boneID)] * vec4(vertexPos.xyz, 1.0)) * boneWeight.y);
    v = vec3(gl_ModelViewMatrix * newVertex);
    gl_Position = (gl_ModelViewProjectionMatrix * vec4(newVertex.xyz, 1.0));
  } else {
    v = vec3(gl_ModelViewMatrix * vec4(vertexPos, 1.0));
    gl_Position = (gl_ModelViewProjectionMatrix * vec4(vertexPos.xyz, 1.0));
  }
  tex = vertexUV;
}
